Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.stree
Class ProcessingInstructionImpl

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.stree.Child
                  |
                  +--org.apache.xalan.stree.ProcessingInstructionImpl

public class ProcessingInstructionImpl
extends Child
implements ProcessingInstruction

Method Summary
`java.lang.String` | `getData()` The content of this processing instruction.
`java.lang.String` | `getLocalName()` Returns the local part of the qualified name of this node.
`java.lang.String` | `getNodeName()` Get the PI name.
`short` | `getNodeType()` A short integer indicating what type of node this is.
`java.lang.String` | `getNodeValue()`
`java.lang.String` | `getTarget()` A PI's "target" states what processor channel the PI's data should be directed to.

Methods inherited from class org.apache.xalan.stree.Child
`getAttributes, getChildPosition, getFirstChild, getLastChild, getLevel, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, getUid, hasChildNodes, isComplete, isNamespaceNode, setAttribute, setLevel, supports`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendChild, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildNodes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLength, getOwnerElement, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, item, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, replaceData, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLocalName

    public java.lang.String getLocalName()

  Returns the local part of the qualified name of this node.
  For nodes created with a DOM Level 1 method, such as `createElement` from the `Document` interface, it is `null`.
  Overrides:
    getLocalName in class Child
  Since:
    DOM Level 2

### getNodeName

    public java.lang.String getNodeName()

  Get the PI name.
  Overrides:
    getNodeName in class UnImplNode

### getNodeType

    public short getNodeType()

  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.
  Overrides:
    getNodeType in class UnImplNode

### getTarget

    public java.lang.String getTarget()

  A PI's "target" states what processor channel the PI's data should be directed to. It is defined differently in HTML and XML.

  In XML, a PI's "target" is the first (whitespace-delimited) token following the " In HTML, target is always null.

  Note that getNodeName is aliased to getTarget.

  Specified by:
    getTarget in interface ProcessingInstruction

### getData

    public java.lang.String getData()

  The content of this processing instruction. This is from the first non white space character after the target to the character immediately preceding the `?>`.
  Specified by:
    getData in interface ProcessingInstruction
  Throws:
    DOMException - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

### getNodeValue

    public java.lang.String getNodeValue()

  Overrides:
    getNodeValue in class UnImplNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.